 .pagination-wrapper {
    display: flex;
    justify-content: center;
    margin-top: 20px;
    margin-bottom: 10px;
    overflow-x: auto; 
}

.pagination {
    list-style-type: none;
    padding: 0;
    margin: 0;
    display: flex;
    justify-content: center;
    background-color: rgb(255, 255, 255);
    flex-wrap: wrap; 
}

.pagination li {
    margin: 3px;
}

.pagination li a,
.pagination li span {
    display: block;
    padding: 8px 12px;
    font-size: 14px;
    text-decoration: none;
    color: #007bff;
    border: 1px solid #56df17;
    border-radius: 50px;
    transition: background-color 0.3s, color 0.3s, box-shadow 0.3s;
}

.pagination li:hover a,
.pagination li:hover span {
    background-color: #007bff;
    color: #fff;
    box-shadow: 0px 4px 8px rgba(0, 123, 255, 0.2);
}

@media (max-width: 768px) {
    .pagination li a,
    .pagination li span {
        padding: 5px 8px; 
        font-size: 12px; 
    }
}